* v2 - 2014-05-27.
* correction to only include measured children for second part of table.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the children data file.
get file = 'ch.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

select if (UF9 = 1).

compute layer1 = 1.
value labels layer1 1 "Result of height and weight measurement" .

compute layer2 = 1.
value labels layer2 1 "Among children measured" .

compute tot1 = 1.
value labels tot1 1 " " .
variable labels tot1 " Total" .

compute tot2 = 1.
value labels tot2 1 " " .
variable labels tot2 " Number of children < 5" .

* select only children measured.
do if (AN2 = 1).

compute outofr=0.
if (HAZFLAG <> 0 or WAZFLAG <> 0 or WHZFLAG <> 0) outofr=100.
variable labels outofr "H. and/or W. out of range (%)".

compute chdmyb = 0.
if (not (AG1M < 97 and AG1Y < 9997)) chdmyb = 100.  
variable labels chdmyb "Date of birth incomplete (%)".

end if.

ctables
  /vlabels variables = layer1 layer2 an2
         display = none
  /table  tot1 [c] + team [c] by 
	layer1 [c] > an2 [c] [ROWPCT.VALIDN, '', f5.1] +
		tot2 [s]  [sum,'',f7.0]+
   	layer2 [c] > ( outofr [s] [mean,'',f5.1] + 
	chdmyb [s] [mean,'',f5.1]) 
  /categories var=an2 empty=include missing=include total=yes label="Total"
  /slabels position=column visible = no
  /titles title = 
   "F10A. Height and weight of children"
   "Percent distribution of children under 5 by result of height and weight measurement,  " +
    "and percentage of children measured who have out of range values or incomplete date of birth, according to interviewer team, " + surveyname.

new file.		

erase file = "tmp.sav".		
