* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.

sort cases by hh1 hh2.
save outfile = "tmp.sav".

* open women data file.
get file = 'wm.sav'.
* sort cases by cluster and household number.  
sort cases by hh1 hh2.

* add team number to women file.
match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

select if (WM7 = 1).

compute total = 1.

aggregate outfile = 'tmp1.sav'
  /break   = team 
  /tceb  = sum (CEB)
  /tcsurv  = sum (CSURV)
  /tcdead = sum (CDEAD)
  /tot = sum (total).
variable labels ceb "Total number of children ever born (2)".

aggregate outfile = 'tmp2.sav'
  /break   = total
  /tceb  = sum (CEB)
  /tcsurv  = sum (CSURV)
  /tcdead = sum (CDEAD)
  /tot = sum (total).

get file = 'tmp1.sav'.
add files
  /file = *
  /file = 'tmp2.sav'.

compute ratioall =  tceb/tot.

compute ratioliv =  tcsurv/tot.

compute ratiodead =  tcdead/tot.

*Note: Target should be defined to be > 75% of the mean CEB from a previous survey or census.							
*Survey managers should provide data processors with the country-specific target.								
*Example: CEB in previous survey: 2.01 thus Target = 2.01 * 0.75 = 1.51.	

do if (ratioall < 1.51).
+ compute target = ratioall.
end if.		


variable labels ratioall "Mean number of children ever born".
variable labels ratioliv "Mean number of living children".
variable labels ratiodead "Mean number of deceased children".
variable labels tceb "Total number of children ever born".
variable labels tcsurv "Total number of living children".
variable labels tcdead "Total number of deceased children".
variable labels tot  "Number of all women with a completed interview".
value labels total 1 "Total".

variable labels target "Target not met".

ctables
  /vlabels variables = total display = none
  /table total [c] + team [c]  by 
	tot [s] [sum,'' ,f5.0] + 
	tcsurv [s] [sum,'' ,f5.0] +  ratioliv [s] [sum,f5.1] +
	tcdead [s] [sum,'' ,f5.0] +  ratiodead [s] [sum,f5.1] +
	tceb [s] [sum,'' ,f5.0] +  ratioall [s] [sum,f5.1] +
	target [s] [sum,f5.1] 
  /slabels visible = no  
  /titles title="F12. Children ever born and children surviving"  
	"Number of women with a completed interview, total number of children ever born (CEB), and mean number of CEB, according to interviewer team " + surveyname.


new file.
erase file 'tmp.sav'.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.