* v2 2014-02-10 cnd calculation corrected .

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the birth history data file.
get file = 'bh.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

* select living children.
select if (BH5 = 1).

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute cmyb = 0.
compute cyab   = 0.
compute cyb   = 0.
compute cab   = 0.
compute cnd   = 0.

if (BH4M < 98 and BH4Y < 9998) cmyb = 100.  
if (BH4M >= 98 and BH4Y<9998 and BH6 < 98) cyab = 100.  
if (BH4M >= 98 and BH4Y < 9998 and BH6 >= 98 ) cyb = 100.  
if (BH4M >= 98 and BH4Y >= 9998 and BH6 < 98 ) cab = 100.  
if (cmyb=0 and cyab=0 and cyb = 0 and cab=0) cnd=100.		


save outfile = "tmp.sav".

aggregate 
  /outfile = "tmp1.sav"
  /break = team
  /teamt = mean (cmyb).

aggregate 
  /outfile = "tmp2.sav"
  /break = total
  /teamt = mean (cmyb).

* Add this summary information .
get file = 'tmp.sav'.
add files
  /file = *
  /file = 'tmp1.sav'
  /file = 'tmp2.sav'.

do if (teamt < 99).
+ compute target = teamt.
end if.

* to calculate correct number of living children exclude temporarily generated cases needed for calculation of target reached.
do if (sysmis (target)).
+ compute cn = 1.
end if.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels target "Target not met".
variable labels cn " ".
value labels cn 1 "Number of living children" .
variable labels cmyb "Year and month of birth".
variable labels cyab "Year of birth and age".
variable labels cyb "Year of birth only".
variable labels cab "Age only".
variable labels cnd "Other/No data".
value labels layer 1 " Completeness of reporting".

ctables
  /vlabels variables = layer cn
         display = none
   /table total [c] + team [c] by 
    layer [c] > (cmyb [s] [mean,'',f5.1] +cyab [s] [mean,'',f5.1] + cyb [s] [mean,'',f5.1] +
    cab [s] [mean,'',f5.1] + cnd [s] [mean,'',f5.1]) + tot1 [s] [mean,'',f5.1] + cn [c] [count,'',f5.0]  + target [s] [mean,'',f5.1]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F13B. Birth histories: Birth date reporting for living children"
   "Percent distribution of living children by completeness of date of birth/age information in birth histories, according to interviewer team, " + surveyname.


new file.		

erase file = "tmp.sav".		
erase file = "tmp1.sav".	
erase file = "tmp2.sav".		
