* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open household members data file.
get files="hh.sav".

* Select completed households.
compute complete = 1.
variable labels complete "Number of completed households".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

aggregate outfile = 'tmp1.sav'
  /break   =   HH6 team
  /hhcomp  = sum(complete)
  /children   = sum(HH14).

aggregate outfile = 'tmp2.sav'
  /break   =  HH6 total
  /hhcomp  = sum(complete)
  /children   = sum(HH14).

* Add this summary information together in one data file.
get file = 'tmp1.sav'.
add files
  /file = *
  /file = 'tmp2.sav'.

compute mchildren = children/hhcomp.

* TARGETS!.
* Change targets below accordingly.
* In the below example it is expected to find 0.5 children under 5 in urban areas and 0.83 in rural areas.

* Separatly for urban areas.
do if (HH6 = 1 and mchildren < 0.80*0.50).
+ compute target  =  mchildren.
end if.

*... and for rural areas.
do if (HH6 = 2 and mchildren < 0.80*0.83).
+ compute target  =  mchildren.
end if.

variable labels mchildren "Mean number of eligible children per HH".
variable labels hhcomp "Number of completed households".
variable labels children "Number of eligible children under 5".
variable labels target "Target not met".

* Ctables command for the tabulation in newer versions of SPSS.
ctables
  /vlabels variables=total  display=none
  /table total [c] + team [c] by
          hh6[c] > (hhcomp [s] [sum,f5.0] + 
          children [s] [sum,f5.0] + 
          mchildren [s] [mean,'',f5.1] +
          target [s] [mean,'',f5.1]) 
  /slabels visible = no
  /categories var=all empty=exclude missing=exclude
  /titles title=  "F2C. Eligible children under 5 per household" 							
                    "Mean number of eligible children per household, according to interviewer team, " + surveyname .

new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.

