* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the household listing data.
get file = "hl.sav".
sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

select if (HL4 = 1 and HL6 >= 12 and HL6 <=18).

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

compute cwom = 1.
compute cwom12 = 0.
compute cwom13 = 0.
compute cwom14 = 0.
compute cwom15 = 0.
compute cwom16 = 0.
compute cwom17 = 0.
compute cwom18 = 0.

if (HL6 = 12) cwom12 = 1.
if (HL6 = 13) cwom13 = 1.
if (HL6 = 14) cwom14 = 1.
if (HL6 = 15) cwom15 = 1.
if (HL6 = 16) cwom16= 1.
if (HL6 = 17) cwom17 = 1.
if (HL6 = 18) cwom18 = 1.

aggregate outfile = 'tmp1.sav'
  /break   = team 
  /agew  = sum(cwom)
  /agew12 = sum(cwom12)
  /agew13 = sum(cwom13)
  /agew14 = sum(cwom14)
  /agew15 = sum(cwom15)
  /agew16 = sum(cwom16)
  /agew17 = sum(cwom17)
  /agew18 = sum(cwom18).

aggregate outfile = 'tmp2.sav'
  /break   =  total
  /agew  = sum(cwom)
  /agew12 = sum(cwom12)
  /agew13 = sum(cwom13)
  /agew14 = sum(cwom14)
  /agew15 = sum(cwom15)
  /agew16 = sum(cwom16)
  /agew17 = sum(cwom17)
  /agew18 = sum(cwom18).

* Add this summary information together in one data file.
get file = 'tmp1.sav'.
add files
  /file = *
  /file = 'tmp2.sav'.

compute target = 0.8.

variable labels agew12 "12".
variable labels agew13 "13".
variable labels agew14 "14".
variable labels agew15 "15".
variable labels agew16 "16".
variable labels agew17 "17".
variable labels agew18 "18".
variable labels agew "Total". 

compute ratiow =  agew15/agew14.
variable labels ratiow "Age ratio (men 15/ men 14)".

do if (ratiow <= target).
compute targetmet = ratiow.
end if.

variable labels targetmet "Target not met".

compute layer = 0.
value labels layer 0 "Children's age (0 - 7 years)" .

ctables
   /vlabels var= layer display =  none  
   /table  total [c] + team [c] by
            layer[c] > 
	(agew12 [s] [sum,f5.0] + 
	agew13 [s] [sum,f5.0] + 
	agew14 [s] [sum,f5.0] + 
	agew15 [s] [sum,f5.0] + 
	agew16 [s] [sum,f5.0] + 
	agew17 [s] [sum,f5.0] + 
	agew18 [s] [sum,f5.0]) +
	agew [s] [sum,f5.0] +
	ratiow [s] [sum,f5.1] + 
	targetmet [s] [sum,f5.1]  
  /slabels position=column visible =no
  /titles title=  "F6M: Age displacement: men "+										
                    "Number of men age 12-18 years listed in the household schedule by single year of age and age ratio 15/14, according to interviewer team, "+ surveyname.

new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.
