﻿* v2 2014-02-10 'teama' to 'team'.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the under 5 data file.
get file = "hl.sav".

sort cases by hh1 hh2.

MATCH FILES /FILE=*
  /TABLE='tmp.sav'
  /BY HH1 HH2.

select if (HL4 = 2 and HL6 >= 12 and HL6 <=18).

compute total = 1.
VARIABLE LABELS total "Total".

compute cwom = 1.

compute cwom12 = 0.
if (HL6 = 12) cwom12 = 1.

compute cwom13 = 0.
if (HL6 = 13) cwom13 = 1.

compute cwom14 = 0.
if (HL6 = 14) cwom14 = 1.

compute cwom15 = 0.
if (HL6 = 15) cwom15 = 1.

compute cwom16 = 0.
if (HL6 = 16) cwom16= 1.

compute cwom17 = 0.
if (HL6 = 17) cwom17 = 1.

compute cwom18 = 0.
if (HL6 = 18) cwom18 = 1.

aggregate outfile = 'tmp1.sav'
  /break   = team 
  /agew  = sum(cwom)
  /agew12 = sum(cwom12)
  /agew13 = sum(cwom13)
  /agew14 = sum(cwom14)
  /agew15 = sum(cwom15)
  /agew16 = sum(cwom16)
  /agew17 = sum(cwom17)
  /agew18 = sum(cwom18).

aggregate outfile = 'tmp2.sav'
  /break   =  total
  /agew  = sum(cwom)
  /agew12 = sum(cwom12)
  /agew13 = sum(cwom13)
  /agew14 = sum(cwom14)
  /agew15 = sum(cwom15)
  /agew16 = sum(cwom16)
  /agew17 = sum(cwom17)
  /agew18 = sum(cwom18).

* Add this summary information together in one data file.
get file = 'tmp1.sav'.
add files
  /file = *
  /file = 'tmp2.sav'.

compute target = 0.8.

variable label agew12 "12".
variable label agew13 "13".
variable label agew14 "14".
variable label agew15 "15".
variable label agew16 "16".
variable label agew17 "17".
variable label agew18 "18".
variable label agew "Total". 

compute ratiow =  agew15/agew14.
variable label ratiow "Age ratio (women 15/ women 14)".

do if (ratiow <= target).
compute targetmet = ratiow.
end if.

variable label targetmet "Target not met".

COMPUTE layer = 0.
VALUE LABELS layer 0 "Women's age (12 - 18 years)".
VALUE LABELS total 1 " ".

VARIABLE LABELS teama "Team".

ctables
 /VLABELS var= layer
     DISPLAY= none  
 /table  team [c] + total [c] by
           layer[c] > ( agew12 [s] [sum,f5.0] + agew13 [s] [sum,f5.0] + agew14 [s] [sum,f5.0] + agew15 [s] [sum,f5.0] + agew16 [s] [sum,f5.0] + agew17 [s] [sum,f5.0] + agew18 [s] [sum,f5.0])+agew [s] [sum,f5.0]
	+ ratiow [s] [sum,f5.1] + targetmet [s] [sum,f5.1]  
  /slabels visible = no
 /titles title=  "F6W: Age displacement: women. "										
                    "Number of women age 12-18 years listed in the household schedule by single year of age and age ratio 15/14, according to interviewer team, "+ surveyname.

new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.
