* Separatly for the first birth.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the women data file.
get file = 'wm.sav'.

select if (WM7 = 1).

select if (CM1 = 1).

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute fbmyb = 0.
compute fbyab   = 0.
compute fbab   = 0.
compute fbnd   = 0.

if (CM2M < 98 and CM2Y < 9998) fbmyb = 100.  
if (CM2M >= 98 and CM2Y< 9998) fbyab = 100.  
if (CM2M >= 98 and CM2Y >= 9998 and CM3 < 98) fbab = 100.  
if (fbmyb=0 and fbyab=0 and fbab=0) fbnd=100.

save outfile = "tmp.sav".

aggregate 
  /outfile = "tmp1.sav"
  /break = team
  /teamt = mean (fbmyb).

aggregate 
  /outfile = "tmp2.sav"
  /break = total
  /teamt = mean (fbmyb).

* Add this summary information .
get file = 'tmp.sav'.
add files
  /file = *
  /file = 'tmp1.sav'
  /file = 'tmp2.sav'.

do if (teamt < 99).
+ compute target = teamt.
end if.

* to calculate correct number of women exclude temporarily generated cases needed for calculation of target reached.
do if (sysmis (target)).
+ compute wn = 1.
end if.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels target "Target not met".
variable labels wn " ".
value labels wn 1 "Number of first births" .
variable labels fbmyb "Both month and year".
variable labels fbyab "Year only".
variable labels fbab "Completed years since first birth only".
variable labels fbnd "Other/No data".
value labels layer 1 " Date of first birth".

ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + team [c] by 
    layer [c] > (fbmyb [s] [mean,'',f5.1] +fbyab [s] [mean,'',f5.1] + 
    fbab [s] [mean,'',f5.1] + fbnd [s] [mean,'',f5.1]) + tot1 [s] [mean,'',f5.1] + wn [c] [count,'',f5.0]  + target [s] [mean,'',f5.1]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F7B. Birth date reporting: First births"
   "Percent distribution of first birth to women age 15-49 years by completeness of date of birth, according to interviewer team, " + surveyname.
								
new file.		

erase file = "tmp.sav".		
erase file = "tmp1.sav".	
erase file = "tmp2.sav".	


* Separatly for the last birth.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the women data file.
get file = 'wm.sav'.

select if (WM7 = 1).

select if (CM1 = 1).

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute fbmyb = 0.
compute fbyab   = 0.
compute fbab   = 0.
compute fbnd   = 0.

if (CM12M < 98 and CM12Y < 9998) fbmyb = 100.  
if (CM12M >= 98 and CM12Y< 9998) fbyab = 100.  
if (fbmyb=0 and fbyab=0) fbnd=100.

save outfile = "tmp.sav".

aggregate 
  /outfile = "tmp1.sav"
  /break = team
  /teamt = mean (fbmyb).

aggregate 
  /outfile = "tmp2.sav"
  /break = total
  /teamt = mean (fbmyb).

* Add this summary information .
get file = 'tmp.sav'.
add files
  /file = *
  /file = 'tmp1.sav'
  /file = 'tmp2.sav'.

do if (teamt < 99).
+ compute target = teamt.
end if.

* to calculate correct number of women exclude temporarily generated cases needed for calculation of target reached.
do if (sysmis (target)).
+ compute wn = 1.
end if.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels target "Target not met".
variable labels wn " ".
value labels wn 1 "Number of last births" .
variable labels fbmyb "Both month and year".
variable labels fbyab "Year only".
variable labels fbnd "Other/No data".
value labels layer 1 "Date of last birth".

ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + team [c] by 
    layer [c] > (fbmyb [s] [mean,'',f5.1] +fbyab [s] [mean,'',f5.1] + 
    fbnd [s] [mean,'',f5.1]) + tot1 [s] [mean,'',f5.1] + wn [c] [count,'',f5.0]  + target [s] [mean,'',f5.1]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F7B. Birth date reporting: Last births"
   "Percent distribution of last birth to women age 15-49 years by completeness of date of birth, according to interviewer team, " + surveyname.
								
new file.		

erase file = "tmp.sav".		
erase file = "tmp1.sav".	
erase file = "tmp2.sav".		
