* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the men data file.
get file = 'ch.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

select if (UF9 = 1).

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute chmyb = 0.
compute chyab   = 0.
compute chab   = 0.
compute chyb   = 0.
compute mchd   = 0.

if (AG1M < 98 and AG1Y < 9998) chmyb = 100.  
if (AG1M >= 98 and AG1Y < 9998 and AG2 < 98) chyab = 100.  
if (AG1M >= 98 and AG1Y >= 9998 and AG2 < 98 ) chab = 100.  
if (AG1M >= 98 and AG1Y < 9998 and AG2 >= 98 ) chyb = 100.  
if (chmyb = 0 and chyab = 0 and chyb = 0 and  chab = 0) chnd = 100.

save outfile = "tmp.sav".

aggregate 
  /outfile = "tmp1.sav"
  /break = team
  /teamt = mean (chmyb).

aggregate 
  /outfile = "tmp2.sav"
  /break = total
  /teamt = mean (chmyb).

* Add this summary information .
get file = 'tmp.sav'..
add files
  /file = *
  /file = 'tmp1.sav'
  /file = 'tmp2.sav'.

do if (teamt < 99).
+ compute target = teamt.
end if.

* to calculate correct number of men exclude temporarily generated cases needed for calculation of target reached.
do if (sysmis (target)).
+ compute cn = 1.
end if.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels target "Target not met".
variable labels cn " ".
value labels cn 1 "Number of children" .
variable labels chmyb "Year and month of birth".
variable labels chyab "Year of birth and age".
variable labels chyb "Year of birth only".
variable labels chab "Age only".
variable labels mchd "Other/No data".
value labels layer 1 " Completeness of reporting".

ctables
  /vlabels variables = layer cn
         display = none
   /table total [c] + team [c] by 
    layer [c] > (chmyb [s] [mean,'',f5.1] +chyab [s] [mean,'',f5.1] + chyb [s] [mean,'',f5.1]  +
    chab [s] [mean,'',f5.1] + mchd [s] [mean,'',f5.1]) + tot1 [s] [mean,'',f5.1] + cn [c] [count,'',f5.0]  + target [s] [mean,'',f5.1]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F7C. Birth date reporting: Children "
   "Percent distribution children under 5 by completeness of date of birth/age reporting information, according to interviewer team, " + surveyname.

new file.		

erase file = "tmp.sav".		
