* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the household members data file.
get file = 'hl.sav'.

select if (HL6 >= 5 and HL6 <=24).

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute admyb = 0.
compute adyab   = 0.
compute adyb   = 0.
compute adab   = 0.
compute adnd   = 0.

if (HL5M < 98 and HL5Y < 9998) admyb = 100.  
if (HL5M >= 98 and HL5Y<9998 and HL6<98) adyab = 100.  
if (HL5M >= 98 and HL5Y>=9998 and HL6<98) adab = 100.  
if (HL5M >= 98 and HL5Y<9998 and HL6>=98) adyb = 100.
if(admyb=0 and adyab=0 and adyb=0 and adab=0) adnd=100.

save outfile = "tmp.sav".

aggregate 
  /outfile = "tmp1.sav"
  /break = team
  /teamt = mean (admyb).

aggregate 
  /outfile = "tmp2.sav"
  /break = total
  /teamt = mean (admyb).

* Add this summary information .
get file = 'tmp.sav'.
add files
  /file = *
  /file = 'tmp1.sav'
  /file = 'tmp2.sav'.

do if (teamt < 99).
+ compute target = teamt.
end if.

* to calculate correct number of women exclude temporarily generated cases needed for calculation of target reached.
do if (sysmis (target)).
+ compute wn = 1.
end if.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels target "Target not met".
variable labels wn " ".
value labels wn 1 "Number of children, adolescents and young people" .
variable labels admyb "Year and month of birth".
variable labels adyab "Year of birth and age".
variable labels adyb "Year of birth only".
variable labels adab "Age only".
variable labels adnd "Other/No data".
value labels layer 1 " Completeness of reporting".

ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + team [c] by 
    layer [c] > (admyb [s] [mean,'',f5.1] +adyab [s] [mean,'',f5.1] + adyb [s] [mean,'',f5.1] +
    adab [s] [mean,'',f5.1] + adnd [s] [mean,'',f5.1]) + tot1 [s] [mean,'',f5.1] + wn [c] [count,'',f5.0]  + target [s] [mean,'',f5.1]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F7E. Birth date reporting: Children, adolescents and young people "
   "Percent distribution of children, adolescents and young people age 5-24 years by completeness of date of birth/age reporting information, according to interviewer team," + surveyname.

new file.		

erase file = "tmp.sav".		
erase file = "tmp1.sav".	
erase file = "tmp2.sav".		
