*v2 2014-02-10 '+' deleted after the last variable in table, total1 .

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the children data file.
get file = 'ch.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".

get file = 'tmp.sav'.

select if (UF9 = 1).

compute total = 1.
variable labels total "Number of children under 5".

compute tot1 = 1.
value labels tot1 1 " " .
variable labels tot1 " Total" .

compute diarrhea=0.
if (CA1 = 1) diarrhea=100.
variable labels diarrhea "Diarrhea in the last 2 weeks" .

compute cough=0.
if (CA7 = 1) cough=100.
variable labels cough "A cough in the last 2 weeks".

compute fever=0.
if (CA6A = 1) fever=100.
variable labels fever "Fever in the last 2 weeks".

compute layer = 1.
value labels layer 1 "Percentage of children with:".
variable labels layer "". 

	
do if (cage > 5 and cage < 36).

* Include all questions under BD7.
+ compute noliquids = 0.
+ if (BD7A <> 1 and BD7B <> 1 and BD7C <> 1 and BD7D <> 1 and BD7E <> 1 and BD7F <> 1) noliquids = 100.

* Include all questions under BD8.
+ compute nofood = 0.
+ if (BD8A <> 1 and BD8B <> 1 and BD8C <> 1 and BD8D <> 1 and BD8E <> 1 and BD8F <> 1 and 
	BD8G <> 1 and BD8H <> 1 and BD8I <> 1 and BD8J <> 1 and BD8K <> 1 and BD8L <> 1 and 
	BD8M <> 1 and BD8N <> 1 and BD8O <> 1) nofood = 100.
+ compute total1 = 1.

end if.

variable labels noliquids "Mean number of 'No' responses to liquids child consumed during the previous day".
variable labels nofood "Mean number of 'No' responses to solid or semi-solid foods child consumed during the previous day".
variable labels total1 "Number of children age 6-35 months".

ctables
  /vlabels variables = layer 
         display = none
 /table tot1 [c] + team [c] by 
	layer [c] > (diarrhea [s] [mean,'',f5.1] +
	cough [s] [mean,'',f5.1] +
  	fever [s] [mean,'',f5.1]) +
	total [c] [count,'',f7.0] + 
	noliquids [s] [mean,'',f5.1] +
	nofood [s] [mean,'',f5.1] +
	total1 [c] [count,'',f7.0]  
 /categories var=all empty=exclude missing=exclude
 /slabels position=column visible = no
 /titles title = 
   "F8C. Question responses by team: Under-5 questionnaire"
   "Percentage of certain responses to key questions in the children's questionnaires, according to interviewer team, " + surveyname.

new file.		

erase file = "tmp.sav".		

