* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open the household data file.
get file = 'hh.sav'.

select if (HH9 = 1).

select if not(sysmis (CD3A)).

compute total=1.
variable labels total "Number of children age 1-14 selected for the child discipline module".

compute tot1 = 1.
value labels tot1 1 " " .
variable labels tot1 " Total" .

recode CD3A (1 = 1) (else = 0).
recode CD3B (1 = 1) (else = 0).
recode CD3C (1 = 1) (else = 0).
recode CD3D (1 = 1) (else = 0).
recode CD3E (1 = 1) (else = 0).
recode CD3F (1 = 1) (else = 0).
recode CD3G (1 = 1) (else = 0).
recode CD3H (1 = 1) (else = 0).
recode CD3I (1 = 1) (else = 0).
recode CD3J (1 = 1) (else = 0).
recode CD3K (1 = 1) (else = 0).

compute cdmean = sum (CD3A, CD3B, CD3C, CD3D, CD3E, CD3F, CD3G, CD3H, CD3I, CD3J, CD3K).
variable labels cdmean "Mean number of Yes to child discipline".

ctables
  /table tot1 [c] + team [c] by 
	cdmean [s] [mean,'',f5.1] +
	total [s] [sum,'',f7.0]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F8HH. Question responses by team: Household questionnaire"
   "Mean number of certain responses to key questions in the household questionnaires, according to interviewer team,  " + surveyname.
new file.