* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = "hh.sav"
  /keep hh1 hh2 team.
sort cases by hh1 hh2.
save outfile = "tmp.sav".

* Open the woman data file.
get file = 'wm.sav'.

sort cases by hh1 hh2.

match files / file = *
 /table = 'tmp.sav'
 /by hh1 hh2.

save outfile = "tmp.sav".
get file = 'tmp.sav'.

select if (WM7 = 1).

compute total=1.
variable labels total "Number of women age 15-49".

compute tot1 = 1.
value labels tot1 1 " " .
variable labels tot1 " Total" .
		
compute layer = 1.
variable labels layer " ".
value labels layer 1 "Percentage of women:".

compute lbirth = 0.
if (CM13 = "Y" ) lbirth = 100.
variable labels lbirth "With a live birth in the last 2 years" .

compute pregn = 0.
if (CP1 = 1) pregn = 100.
variable labels pregn "Currently pregnant" .

* For surveys that included  FEMALE GENITAL MUTILATION/CUTTING module.
compute fgm = 0.
if (FG1=1 or FG2=1) fgm = 100.
variable labels fgm "Who have ever heard of FGM" .

compute esex = 0.
if (SB1>0 and SB1<97) esex=100.
variable labels esex "Who have ever had sex".

compute eaids = 0.
if (HA1=1) eaids = 100.
variable labels eaids "Who have ever heard of AIDS".

ctables
  /vlabels variables = layer wn
         display = none
  /table tot1 [c] + team [c] by 
	lbirth [s] [mean,'',f5.1] +
	pregn [s] [mean,'',f5.1] +
	fgm [s] [mean,'',f5.1] +
	esex [s] [mean,'',f5.1] +
 	eaids [s] [mean,'',f5.1] +
	total [s] [sum,'',f7.0]
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "F8W. Question responses by team: Women's questionnaire"
   "Percentage of certain responses to key questions in the women's questionnaires, according to interviewer team, " + surveyname.
new file.
		
erase file = "tmp.sav".		

